# IPAM

## Gets a list of containers

> This endpoint is used to fetch all the containers in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/ipam/ipam/":{"get":{"operationId":"ux_ipam_ipam_retrieve","description":"This endpoint is used to fetch all the containers in the current organization","summary":"Gets a list of containers","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"description":""}}}}}}
```

## POST /ux/ipam/ipam/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/":{"post":{"operationId":"ux_ipam_ipam_create","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Container"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Container"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## Gets a container with the given id

> This endpoint is used to fetch a container details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/{id}/":{"get":{"operationId":"ux_ipam_ipam_retrieve_2","description":"This endpoint is used to fetch a container details in the current organization","summary":"Gets a container with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## PUT /ux/ipam/ipam/{id}/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/{id}/":{"put":{"operationId":"ux_ipam_ipam_update","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IPAM"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Container"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Container"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## Deletes the Container with given id

> This endpoint is used to delete an existing container for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/ipam/ipam/{id}/":{"delete":{"operationId":"ux_ipam_ipam_destroy","description":"This endpoint is used to delete an existing container for the current organization","summary":"Deletes the Container with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IPAM"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/ipam/ipam/agent\_list/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/agent_list/":{"get":{"operationId":"ux_ipam_ipam_agent_list_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## POST /ux/ipam/ipam/check\_inventory\_scan/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/check_inventory_scan/":{"post":{"operationId":"ux_ipam_ipam_check_inventory_scan_create","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Container"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Container"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/container-entities/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/container-entities/":{"get":{"operationId":"ux_ipam_ipam_container_entities_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/dependency-status/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/dependency-status/":{"get":{"operationId":"ux_ipam_ipam_dependency_status_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## POST /ux/ipam/ipam/do\_availability\_scan/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/do_availability_scan/":{"post":{"operationId":"ux_ipam_ipam_do_availability_scan_create","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Container"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Container"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## POST /ux/ipam/ipam/do\_inventory\_scan/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/do_inventory_scan/":{"post":{"operationId":"ux_ipam_ipam_do_inventory_scan_create","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Container"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Container"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/get-subnet-name/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/get-subnet-name/":{"get":{"operationId":"ux_ipam_ipam_get_subnet_name_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/get\_audit\_options/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/get_audit_options/":{"get":{"operationId":"ux_ipam_ipam_get_audit_options_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/get\_container\_options/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/get_container_options/":{"get":{"operationId":"ux_ipam_ipam_get_container_options_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/get\_ip\_addresses/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/get_ip_addresses/":{"get":{"operationId":"ux_ipam_ipam_get_ip_addresses_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/group-summary/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/group-summary/":{"get":{"operationId":"ux_ipam_ipam_group_summary_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/group-summary-widget-options/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/group-summary-widget-options/":{"get":{"operationId":"ux_ipam_ipam_group_summary_widget_options_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ip-container-details/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ip-container-details/":{"get":{"operationId":"ux_ipam_ipam_ip_container_details_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ip-details-grid-view/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ip-details-grid-view/":{"get":{"operationId":"ux_ipam_ipam_ip_details_grid_view_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ip-reservation/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ip-reservation/":{"get":{"operationId":"ux_ipam_ipam_ip_reservation_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ip-reservation-config/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ip-reservation-config/":{"get":{"operationId":"ux_ipam_ipam_ip_reservation_config_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ip-reservation-list/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ip-reservation-list/":{"get":{"operationId":"ux_ipam_ipam_ip_reservation_list_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ipam\_audit\_list/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ipam_audit_list/":{"get":{"operationId":"ux_ipam_ipam_ipam_audit_list_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ipasset-interfaces-list/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ipasset-interfaces-list/":{"get":{"operationId":"ux_ipam_ipam_ipasset_interfaces_list_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ipasset-menu-details/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ipasset-menu-details/":{"get":{"operationId":"ux_ipam_ipam_ipasset_menu_details_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ipasset-port-details/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ipasset-port-details/":{"get":{"operationId":"ux_ipam_ipam_ipasset_port_details_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/ipasset-portmapper-details/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/ipasset-portmapper-details/":{"get":{"operationId":"ux_ipam_ipam_ipasset_portmapper_details_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/license-check/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/license-check/":{"get":{"operationId":"ux_ipam_ipam_license_check_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/options/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/options/":{"get":{"operationId":"ux_ipam_ipam_options_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## POST /ux/ipam/ipam/save-ip-allocated/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/save-ip-allocated/":{"post":{"operationId":"ux_ipam_ipam_save_ip_allocated_create","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Container"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Container"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## POST /ux/ipam/ipam/schedule/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/schedule/":{"post":{"operationId":"ux_ipam_ipam_schedule_create","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Container"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Container"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/scheduler-data/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/scheduler-data/":{"get":{"operationId":"ux_ipam_ipam_scheduler_data_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/show-ip-reservation/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/show-ip-reservation/":{"get":{"operationId":"ux_ipam_ipam_show_ip_reservation_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/subnet\_agent\_list/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/subnet_agent_list/":{"get":{"operationId":"ux_ipam_ipam_subnet_agent_list_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/tree-data/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/tree-data/":{"get":{"operationId":"ux_ipam_ipam_tree_data_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/unmanaged\_ip\_list/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/unmanaged_ip_list/":{"get":{"operationId":"ux_ipam_ipam_unmanaged_ip_list_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```

## GET /ux/ipam/ipam/visibility-data/

> API endpoint that allows bot cmdb configurations to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Container":{"type":"object","description":"Container serializers","properties":{"id":{"type":"string","readOnly":true},"subnet":{"type":"string","readOnly":true},"mask":{"type":"string","readOnly":true},"reservation_method":{"type":"string","readOnly":true},"ip_count":{"type":"string","readOnly":true},"organization":{"type":"string"},"customer_id":{"type":"string"},"customer_entity_id":{"type":"array","items":{}},"config_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"ip_version":{"type":"integer"},"is_deleted":{"type":"boolean"},"category":{"type":"string"},"id_info":{"type":"object","additionalProperties":{}},"user_info":{"type":"array","items":{}},"role_info":{"type":"array","items":{}},"team_info":{"type":"array","items":{}},"ip_address":{"type":"string"},"utilization_threshold_breach":{"type":"integer"},"subnet_mask":{"type":"integer"},"is_reserved":{"type":"boolean"},"is_availability":{"type":"boolean"},"is_inventory":{"type":"boolean"},"reservation_config":{"type":"object","additionalProperties":{}},"availability_config":{"type":"object","additionalProperties":{}},"inventory_config":{"type":"object","additionalProperties":{}},"agent_id":{"type":"string"},"last_scan_completed":{"type":"string","format":"date-time"},"last_scan_status":{"type":"integer"},"last_inv_scan_status":{"type":"integer"},"last_inv_scan_time":{"type":"string","format":"date-time"},"last_group_inv_scan_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"modified_by":{"type":"string"},"schedule_config":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"}},"required":["config_id","id","ip_count","mask","reservation_method","subnet"]}}},"paths":{"/ux/ipam/ipam/visibility-data/":{"get":{"operationId":"ux_ipam_ipam_visibility_data_retrieve","description":"API endpoint that allows bot cmdb configurations to be viewed or edited.","tags":["IPAM"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Container"}}},"description":""}}}}}}
```
